Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_stream_set_map

## Name

librdf_stream_set_map -- Set the filtering/mapping function for the stream

## Synopsis

``void `librdf_stream_set_map`` (librdf_stream* `stream`, librdf_statement* (*`map`) (void* map_context, librdf_statement* statement), void (*`free_context`) (void *map_context), void* `map_context`);`

## Arguments

`stream`

  librdf_stream object

`map`

  mapping function.

`free_context`

  -- undescribed --

`map_context`

  context

## Description

The function is called with the mapping context and the next statement. The return value of the mapping function is then passed on to the user, if not NULL. If NULL is returned, that statement is not emitted.

<<< Previous | Home | Next >>>
librdf_stream_get_context | Up | librdf_new_stream_from_node_iterator